use anyhow::Result;
use bluetooth::BluetoothInfo;
use dbus::blocking::Connection;

mod bluetooth;

#[derive(serde::Serialize)]
struct SystemInfo {
    bluetooth: Vec<BluetoothInfo>,
}

fn main() -> Result<()> {
    let connection = Connection::new_system()?;
    let bluetooth = bluetooth::get_all_bluetooth_devices(connection)?;
    let info = SystemInfo { bluetooth };
    println!("{}", serde_json::to_string(&info)?);
    Ok(())
}
